<template>
  <section>
    <a class="btn btn-primary" href="javascript:alert(`Hire me pls, you won't regret it :)`)">
      <i class="fa fa-plus"></i> Add new user
    </a>

    <div class="content">
      <h1>Users</h1>

      <Table>
        <thead>
          <th>Name</th>
          <th>Username</th>
          <th>Email</th>
          <th>Address</th>
          <th>Company</th>
          <th>Options</th>
        </thead>
        <tr v-for="user in users" :key="user.id">
          <td>{{user.name}}</td>
          <td>{{user.username}}</td>
          <td>{{user.email}}</td>
          <td>{{user.address.street}} {{user.address.suite}}, {{user.address.city}}</td>
          <td>{{user.company.name}}</td>
          <td>
            <router-link :to="{name: 'Todos', params: {id: user.id, userName: user.name}}">
              <small>View todos</small>
            </router-link>
          </td>
        </tr>
      </Table>
    </div>
  </section>
</template>

<script>
import axios from 'axios'
import Table from '@/components/Table.vue'

export default {
  name: 'dashboard',
  components: {Table},
  data() {
    return {
      users: []
    }
  },
  mounted() {
    axios.get('https://jsonplaceholder.typicode.com/users')
      .then(res => {
        this.users = res.data
      }).catch(err => {
        alert('An error ocurred when getting the users data.')
        console.log(err.response)
      })
  }
}
</script>
